#
# spec file for package novfs (Version 2.0.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# nodebuginfo
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kernel-source kernel-syms klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           novfs
URL:            http://forge.novell.com
BuildRequires:  kernel-source kernel-syms
Summary:        Novell Client Kernel Module
Group:          System/Filesystems
License:        GNU General Public License (GPL)
Version:        2.0.0
Release:        3.1
Source:         %name-%version.tar.bz2
Source1:        files
Source2:        preamble
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%suse_kernel_module_package -f %_sourcedir/files -p %_sourcedir/preamble kdump um

%description
Novell Client kernel module.



Authors:
--------
    Novell, Inc.

%package KMP
Summary:        Kernel Modules for novfs
Group:          System/Kernel

%description KMP
This package contains the Novell Client for Linux kernel module.



%prep
%setup
echo "novfs" > src/Module.supported

%build
for flavor in %flavors_to_build; do
	rm -rf obj/$flavor
	mkdir -p obj/$flavor
	cp -r src include obj/$flavor/
	make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	     M=$PWD/obj/$flavor/src
done

%install 
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
	make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	  M=$PWD/obj/$flavor/src
done

%changelog
* Tue Jan 23 2007 - sgledhill@novell.com
- corrected change log entries to properly reflect checkin
- history.  Starting at version 2.0.0
* Fri Jan 19 2007 - YMelin@novell.com
- novfs failure to autobuild on Linux kernel 2.6.20
* Thu Jan 18 2007 - sgledhill@novell.com
- changed include to not use deprecated include file.
- required for kernel 2.6.20
* Thu Jan 18 2007 - sgledhill@novell.com
- Updating for kernel 2.6.20 changes
* Fri Jan 12 2007 - YMelin@novell.com
- Cannot open up a crossover word document from a mapped drive,
- Deleting files from a mapped drive take a very long time, Running
- single section of DOSbox dir will hard lock
* Wed Nov 08 2006 - ro@suse.de
- change "Supplements:" to "Enhances:" in preamble
* Thu Aug 31 2006 - ro@suse.de
- complete get_sb_nodev fix , add fix for Novfs_statfs
* Wed Aug 30 2006 - kfenster@novell.com
- Updated to work with kernel 2.6.16
* Thu Jun 01 2006 - jlturner@novell.com
- Update to version 2.0
* Fri May 19 2006 - jlturner@novell.com
- Not a fix but it helps with Bug 168390.  Daemon_Receive_Reply
  in daemon.c was not signaling when we received an ack packet.
  This caused multiple timeouts if there is a network problem.
* Wed May 17 2006 - agruen@suse.de
- Mark novfs module as supported by Novell (175790).
* Fri May 12 2006 - jlturner@novell.com
- Fix for Bug 163119.  Modified Daemon_Library_write in daemon.c
  to handle a length of zero bytes.  It was always returning
  zero bytes written.  Updated to latest fixes from Germany.
* Mon Apr 10 2006 - ro@suse.de
- added nodebuginfo tag to specfile
* Thu Mar 23 2006 - jlturner@novell.com
- Set tv_nsec values to zero.
* Thu Mar 23 2006 - jlturner@novell.com
- Fix for Bug 159873.  Modified Daemon_DestroySessionId in daemon.c
  to search the drive map list and remove any mapped drives for
  that user.
* Sun Mar 12 2006 - agruen@suse.de
- Add `Supplements: kernel-$FLAVOR' tags to the novfs-kmp-$FLAVOR
  packages so that the one matching the installed kernel-$FLAVOR
  package gets selected and installed automatically.
* Tue Feb 28 2006 - jlturner@novell.com
- Fix for Bug 153789.  Modified mk_novfs to look in the
  /lib/modules/$release/updates directory for novfs.ko.
* Fri Feb 17 2006 - jlturner@novell.com
- Fix for Bug 150026.  Added support for lseek and writing 0
  bytes to truncate a stream file.
* Wed Feb 15 2006 - jlturner@novell.com
- Modified profile.c and daemon.c to build on other platforms.
* Wed Feb 15 2006 - jlturner@novell.com
- Fix problem with changes file.
* Tue Feb 14 2006 - jlturner@novell.com
- Remove patch from novfs.spec.  It is causing problems.
* Mon Feb 13 2006 - jlturner@novell.com
- Fix for Bug 150437.  Updated headers in nwcapi.h and nwerror.h.
* Mon Feb 13 2006 - jlturner@novell.com
- Modified Makefile to include changes that Andreas made.
- Fixed build problem with inode.c.
* Mon Feb 06 2006 - jlturner@novell.com
- Converted package from km to kmp.
* Thu Jan 26 2006 - jlturner@novell.com
- Modified source so it will compile on linux-2.6.16-rc1-git3-4.
* Wed Jan 25 2006 - jlturner@novell.com
- Modified km_novfs.spec to match what SuSE had done.
* Tue Jan 24 2006 - jlturner@novell.com
- Fix for Bug 145370.  Had to make mods so that it would compile on
  SuSE10.1 beta1.
* Wed Jan 18 2006 - jlturner@novell.com
- Fix for Bug 143665.  In nwcapi.c NwScanConnInfo and GetUserData
  had to be fixed to return the correct data.
* Thu Jan 12 2006 - jlturner@novell.com
- Fix for Bug 142690.  In Inode.c had to add a
  Novfs_file_inode_operations global to be used with files.
  Novfs_inode_operations is now only used for directories.  What I
  found was that if you have a lookup method then it would assume
  that it was a directory.
* Mon Jan 09 2006 - jlturner@novell.com
- Update to 1.2.  Fix for Bug 116643.  In nwcapi.c NwRawSend will
  now return the number of bytes received.  In profile.c
  __cyg_profile_func_enter and __cyg_profile_func_exit will only
  print out info for symbol names that are in the SymbolTable.
  This makes it possible to turn of debugging for SuSE 10.0.
* Sat Dec 31 2005 - ro@suse.de
- fixed changelog layout again (sixth run)
- fixed specfile to build again (sixth run)
* Thu Dec 01 2005 - jlturner@novell.com
- Fix for Bug 135928.  Cleaned up all of the warning messages.
* Tue Nov 29 2005 - jlturner@novell.com
- Fix for Bug 134085.  In mk_novfs changed the od -s to
  od --strings=8.
* Wed Nov 16 2005 - jlturner@novell.com
- Fix for Bug 120129.  Added code to kept track of mapped drives
  and then remove them when the Control channel is closed.  Fixed a
  problem with removing novfs.  Generated a new profile_funcs.h.
* Fri Nov 11 2005 - jlturner@novell.com
- Fix for Bug 104443.  Inode structure wasn't getting updated so
  added code in verify_dentry to check inode values with inode
  cache info.  If not the same set the UPDATE_INODE flag.  Then the
  next call to getattr will request the info from the server.
* Fri Nov 04 2005 - jlturner@novell.com
- Fix for Bug 132374.  ia_attr_flags is only used in a DbgPrint.
  Removed print message.
* Fri Oct 28 2005 - jlturner@novell.com
- Fix for 121737.  Fixed nwcapi.c NwdSetKeyValue to pass correct
  values to the novfsd.
* Thu Sep 08 2005 - kfenster@novell.com
- Bugs 113372 and 96844 fixed deadlock in Novfs_i_lookup
- Version change from 1.0 to 1.1
* Tue Jul 19 2005 - kfenster@novell.com
- Bug 86129 - Found possible file corruption problem in
  Novfs_Write_File
- Fix for memory leak and more debug stuff
- Bug 94697 Zero memory buffers with username and password
- Bug 95306 - remove dup NWC_VERIFY_KEY
- Bug 95405 - Fixed to limit date changes to 1980 and 2107
  (NetWare limit).
- Bug 95467 - Fix to Novfs_Write_File to limit size of transfers
- Bug 95816 Wasn't calling kunmap after kmap
* Tue Jun 28 2005 - kfenster@novell.com
- Bug 91612 - Older versions of the kernel don't have kthread_create
  exported.
- Bug 91604 - Found memory leak in Novfs_i_getattr
- Changed copyright and url values of spec file
- Enhanced debugging
- Fix in User_proc_write_DbgBuffer for daemon debug stuff
* Tue Jun 21 2005 - kfenster@novell.com
- Fix for GetDefaultConneciton - novfs
- Fix for GetConnInfo Bug - Server not found
- Chnage Broadcast Message Define.
- Fix For Change Password with NMAS
- Added return code to mk_novfs.  Removed %%pre section of the
  novell-novfs-src.spec.
- Fix for 81780 and novfs memory tracking
- Fix problem with Scope_Get_UserSpace
- Changing debug entry to /proc/novfs/Debug
- Fix for 84703
- Bug 88397 - no return error codes
- BUG 83398 - mk_novfs will now check versions before building novfs.ko
- Changes for SuSE
- BUG 83930 - This helps but it might be a linux issue.
- Modified mk_novfs to check extra directory also
- Change comments from C++ style to C
- Fix for BUG80264 - Using kthread_run instead of kernel_thread
* Mon Jun 06 2005 - garloff@suse.de
- Make Makefile understand targets module, install, ...
* Tue May 24 2005 - kfenster@novell.com
- Modified novfs.spec to return an error
- Change xtier and novfs start and restart script information.
- Added Novfs_statfs to return that there is available space.
- Change Password Fix (novfs.ko)
- Increase the novfs version for today's build
- Move novfs to autobuild.  Bug 75774
- Move novell-novfs to add-on
- New build process for novfs
- Fixes for Enumeration of Mapped links.  (novfs & novfsd)    Fixes
  for Enumeration of Mapped Links.
- Fix for mount point on old novfs modules.
- Add novell-novfs back to the selection
- Enable slp during install of novfsd
- Added return code to mk_novfs.  Removed %%pre section of the
  novell-novfs-src.spec.
- Fix for GetDefaultConneciton - novfs
- Fix for 81780 and novfs memory tracking
* Mon May 09 2005 - kfenster@novell.com
- Update to enumerate Identity code.  (Daemon)
- Fixed bugs with enumerate and Get Identity (Daemon & novfs)
- Fix for truncation of tree name (Daemon and novfs)
- Preferred Tree, Set Def Context, query feature ect.....
  (Daemon and novfs)
- Fixes for initial build and add files for initial build.
  (Daemon and novfs)
- nwcapi.c fix (novfs)
- Merge all changes for VFS (novfs)
- Fix for multiple bugs post Beta 2 (novfs)
- Modifed Scope_Find_Scope to call Nwfs_Add_to_Root if a new scope
  is created. This will cause the user name to show up under our
  mount point.
- Fix for 5394. Changed code to make sure the file name had a
  length > 0.
- Fix for bug 9648. Added support to rename a directory.
- Changed the way we are doing directory listing. Wasn't able to see
  more than a 100 files.
- Modified Nwfs_d_revalidate
- Added Novfs_statfs to return that there is available space.
- Added Library interface to proc file system.
* Fri Apr 08 2005 - kfenster@novell.com
- Initial check-in
